Subject: RE: admin dist/gp spec proposal

From: "Abarbanel, Benjamin" <[email-masked]>
Date: Tue, 10 Sep 2002 11:34:05 -0400

For me its the NMS point of view, where its the address of a node which
is independent of a given interface and protocol and allows the NMS system
the ability to keep track of routing information in that node as well as
assist in keeping track which node/router owns which routes. Interworking
and networking/reachability capabilities are biproducts of this feature.

It seems silly to me to have one Router-ID value for BGP, another value
for Router-ID for OSPF, a third value for ISIS and so on. It makes the
number meaningless when view from the big cloud in the sky called NMS.

IMHO, You see I came from the old X.25, Fram Relay world.

Ben

> -----Original Message-----
> From: Russ White [mailto:[email-masked]]
> Sent: Tuesday, September 10, 2002 11:24 AM
> To: Abarbanel, Benjamin
> Cc: [email-masked]'; 'Yakov Rekhter'; Natale, Jonathan;
> [email-masked]
> Subject: RE: admin dist/gp spec proposal 
> 
> 
> 
> > It appears that setting up a requirement that the router id's in
> > all routing processes, for this and other reasons (such as the
>                        ^
>                       match
> 
> > instance given of IS-IS with longer router id's), simply isn't
> > possible.
> 
> This all comes back to a fundamental question of what the router
> id really identifies.
> 
> :-)
> 
> Russ
> 
> 
> 
> __________________________________
> [email-masked] CCIE <>< Grace Alone
> 
>

---

From: [email-masked]
Date: Tue, 10 Sep 2002 10:21:12 -0700

> number meaningless when view from the big cloud in the sky called NMS.

Not necessaraly a problem from an NMS standpoint, a bit of a hassle to
list multiple ID's for the same router, but not impossible.  Plus,
most operators already have one ID for the router, before any MUSTs
have been specified.

More importantly, let's move this to a BCP document.  Yakov has a good
point, referencing this isn't absolutely necessary to create good,
interoperable Base BGP implementations.  We can stick this in another
document, and things will be a lot clearer, and we can make more progress
on getting the Base spec out.

Andrew